local moonshine = require 'moonshine'
local image1 = 'grass.png'
local image2 = 'kid.png'
local magnitude = 0.003
local offset = 0.004
local amplitude = magnitude
local counter = 0
local angle = 0

local xOffset = 150
local yOffset = 150

local vertices = {xOffset, yOffset, 0, love.graphics.getHeight() - yOffset, love.graphics.getWidth(), love.graphics.getHeight() - yOffset, love.graphics.getWidth() - xOffset, yOffset}

function formatVertices(myVertices)
  return {
    {myVertices[1], myVertices[2], 0, 0, 255, 255, 255, 255},
    {myVertices[3], myVertices[4], 0, 1, 255, 255, 255, 255},
    {myVertices[5], myVertices[6], 1, 1, 255, 255, 255, 255},
    {myVertices[7], myVertices[8], 1, 0, 255, 255, 255, 255}
  }
end

function love.load()
    mesh = love.graphics.newMesh(4, 'fan', 'dynamic')
    mesh:setVertices(formatVertices(vertices))
    mesh:setTexture(love.graphics.newImage(image1))
    kid = love.graphics.newImage(image2)

    effect = moonshine(moonshine.effects.sketch)
end

function love.update(dt)
    counter = counter + 0.03
    angle = math.sin(counter) * amplitude + offset
    effect.sketch.amp = angle
    effect.sketch.center = {angle, 1}
end

function love.draw()

    effect(function()
      love.graphics.draw(mesh, 0, 0)
    end)

    love.graphics.draw(kid, love.graphics.getWidth() / 2 - kid:getWidth() / 2, love.graphics.getHeight() / 2 - kid:getHeight() + 20)
end
